RESTinio

Public Member Functions | Private Types | List of all members
restinio::exception_t Class Reference

Exception class for all exceptions thrown by RESTinio. More...

`#include <exception.hpp>`

Inheritance diagram for restinio::exception_t:

## Public Member Functions
| exception_t (const char *err)
| exception_t (const std::string &err)
| exception_t (string_view_t err)

## Private Types
using | bast_type_t = std::runtime_error

## Detailed Description

Exception class for all exceptions thrown by RESTinio.

Definition at line 24 of file exception.hpp.

## Member Typedef Documentation

## ◆ bast_type_t

using restinio::exception_t::bast_type_t = std::runtime_error
| private

Definition at line 27 of file exception.hpp.

## Constructor & Destructor Documentation

## ◆ exception_t() [1/3]

restinio::exception_t::exception_t | ( | const char * | err | ) |
| inline

Definition at line 29 of file exception.hpp.

## ◆ exception_t() [2/3]

restinio::exception_t::exception_t | ( | const std::string & | err | ) |
| inline

Definition at line 33 of file exception.hpp.

## ◆ exception_t() [3/3]

restinio::exception_t::exception_t | ( | string_view_t | err | ) |
| inline

Definition at line 37 of file exception.hpp.

The documentation for this class was generated from the following file:

- restinio/exception.hpp